<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: PotentiometerUpdated Class Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_potentiometer_updated-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PotentiometerUpdated Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "PotentiometerUpdated" message to the block's announcment topic of the MQQT broker.  
 <a href="class_potentiometer_updated.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_potentiometer_behaviours_8h_source.html">PotentiometerBehaviours.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for PotentiometerUpdated:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_potentiometer_updated.png" usemap="#PotentiometerUpdated_map" alt=""/>
  <map id="PotentiometerUpdated_map" name="PotentiometerUpdated_map">
<area href="class_behaviour.html" title="Parent class for all other behaviours." alt="Behaviour" shape="rect" coords="0,0,134,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa26c8882cb48d9122f24a14f532a0c5b"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">args</a> ()</td></tr>
<tr class="separator:aa26c8882cb48d9122f24a14f532a0c5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1beccae8fba247fa8246962840389cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_potentiometer_updated.html#ac1beccae8fba247fa8246962840389cf">PotentiometerUpdated</a> (<a class="el" href="class_viz_block.html">VizBlock</a> *node, String <a class="el" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a>=&quot;PotentiometerUpdated&quot;)</td></tr>
<tr class="separator:ac1beccae8fba247fa8246962840389cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea4c6c96cf2fb770677fafef821a844f"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_potentiometer_updated.html#aea4c6c96cf2fb770677fafef821a844f">start</a> (String <a class="el" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">args</a>)</td></tr>
<tr class="separator:aea4c6c96cf2fb770677fafef821a844f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_behaviour"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_behaviour')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_behaviour.html">Behaviour</a></td></tr>
<tr class="memitem:aa09d1af17d15fa0c204f2b713e46fba0 inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#aa09d1af17d15fa0c204f2b713e46fba0">Behaviour</a> (String <a class="el" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a>)</td></tr>
<tr class="separator:aa09d1af17d15fa0c204f2b713e46fba0 inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f976beeea75cc999f4ce5cbdc889d54 inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a0f976beeea75cc999f4ce5cbdc889d54">is_background</a> ()</td></tr>
<tr class="separator:a0f976beeea75cc999f4ce5cbdc889d54 inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6194e394bab5d264e333b6962173064d inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a6194e394bab5d264e333b6962173064d">is_interruptable</a> ()</td></tr>
<tr class="separator:a6194e394bab5d264e333b6962173064d inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c47f0e25b4084939bd5cb5f78012385 inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a2c47f0e25b4084939bd5cb5f78012385">is_priority</a> ()</td></tr>
<tr class="separator:a2c47f0e25b4084939bd5cb5f78012385 inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a629c91d3771c7938b22ff393b95518ef inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a629c91d3771c7938b22ff393b95518ef">is_running</a> ()</td></tr>
<tr class="separator:a629c91d3771c7938b22ff393b95518ef inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d07ba942e21d9d368c5e3837de068b3 inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a0d07ba942e21d9d368c5e3837de068b3">is_temp</a> ()</td></tr>
<tr class="separator:a0d07ba942e21d9d368c5e3837de068b3 inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a766009be6f0ed1acd74d4ba5c138a7bd inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> ()</td></tr>
<tr class="separator:a766009be6f0ed1acd74d4ba5c138a7bd inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f7e55bee64010414c07deb79426a9b inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a56f7e55bee64010414c07deb79426a9b">stop</a> ()</td></tr>
<tr class="separator:a56f7e55bee64010414c07deb79426a9b inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b8190a1a262ab969fd7706cc55906c6 inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a4b8190a1a262ab969fd7706cc55906c6">update</a> ()</td></tr>
<tr class="separator:a4b8190a1a262ab969fd7706cc55906c6 inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9099279876aa70410ab96ca589531df inherit pub_methods_class_behaviour"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#ab9099279876aa70410ab96ca589531df">~Behaviour</a> ()</td></tr>
<tr class="separator:ab9099279876aa70410ab96ca589531df inherit pub_methods_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_behaviour"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_behaviour')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_behaviour.html">Behaviour</a></td></tr>
<tr class="memitem:a93c2dc62b373e7d4b58c7cebded12f16 inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a93c2dc62b373e7d4b58c7cebded12f16">_background</a> = false</td></tr>
<tr class="separator:a93c2dc62b373e7d4b58c7cebded12f16 inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26c8020df403d81ff28d13e22b61c81 inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#ab26c8020df403d81ff28d13e22b61c81">_interruptable</a> = true</td></tr>
<tr class="separator:ab26c8020df403d81ff28d13e22b61c81 inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6628fb93079b0f8e2ef4412a9046416 inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#ad6628fb93079b0f8e2ef4412a9046416">_name</a> = &quot;name&quot;</td></tr>
<tr class="separator:ad6628fb93079b0f8e2ef4412a9046416 inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1f8d319677a6935c28acbbea643c46c inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#af1f8d319677a6935c28acbbea643c46c">_priority</a> = false</td></tr>
<tr class="separator:af1f8d319677a6935c28acbbea643c46c inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4397ea529500c0c3259777ffa4a6bad2 inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#a4397ea529500c0c3259777ffa4a6bad2">_running</a> = false</td></tr>
<tr class="separator:a4397ea529500c0c3259777ffa4a6bad2 inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe345ebc552c4f6875ec845d2697f9f inherit pro_attribs_class_behaviour"><td class="memItemLeft" align="right" valign="top">boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour.html#acbe345ebc552c4f6875ec845d2697f9f">_temp</a> = false</td></tr>
<tr class="separator:acbe345ebc552c4f6875ec845d2697f9f inherit pro_attribs_class_behaviour"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "PotentiometerUpdated" message to the block's announcment topic of the MQQT broker. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac1beccae8fba247fa8246962840389cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1beccae8fba247fa8246962840389cf">&#9670;&nbsp;</a></span>PotentiometerUpdated()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PotentiometerUpdated::PotentiometerUpdated </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_viz_block.html">VizBlock</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;PotentiometerUpdated&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa26c8882cb48d9122f24a14f532a0c5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa26c8882cb48d9122f24a14f532a0c5b">&#9670;&nbsp;</a></span>args()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* PotentiometerUpdated::args </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>What arguments does the behaviour take? Override this to document your behaviour. </p>

<p>Reimplemented from <a class="el" href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">Behaviour</a>.</p>

</div>
</div>
<a id="aea4c6c96cf2fb770677fafef821a844f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea4c6c96cf2fb770677fafef821a844f">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">String PotentiometerUpdated::start </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Start the behaviour, with arguments. </p>

<p>Reimplemented from <a class="el" href="class_behaviour.html#ab4bc4b2d9d9ec727fd84796c6c6d44b3">Behaviour</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_potentiometer_behaviours_8h_source.html">PotentiometerBehaviours.h</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
